Add or Import Groups

post

/groups

Adds or imports one or more groups.

If you are using EPM Shared Services security mode, this operation is not available. Instead, manage users, groups, and permissions in the Shared Services Console.

Request

There are no request parameters for this operation.

Back to Top

Response

200 Response

OK

Group added successfully. For Content-Type='application/json' or 'application/xml', added group is returned; otherwise, for Content-Type='application/octet-stream', the group was imported successfully.

400 Response

Bad Request

Logged in user may not have appropriate permissions.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to add an Essbase group (works only for WebLogic security mode).

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

The --data option is used to pass a JSON file of body parameters providing the group information.

call properties.bat
curl -X POST https://myserver.example.com:9001/essbase/rest/v1/groups -H "accept: application/json" -H "Content-Type: application/json" --data "@./group_create.json" -u %User%:%Password%

Sample JSON Payload

The input file to the cURL command has the following contents:

{  
    "name": "ess_power_group", 
    "role": "Power User",
    "description": "Power Group"
}

Example of Response Body

{
  "name" : "ess_power_group",
  "description" : "Power Group",
  "role" : "Power User",
  "links" : [ {
    "rel" : "get",
    "href" : "https://myserver.example.com:9001/essbase/rest/v1/groups/ess_power_group",
    "method" : "GET"
  }, {
    "rel" : "edit",
    "href" : "https://myserver.example.com:9001/essbase/rest/v1/groups/ess_power_group",
    "method" : "PUT"
  }, {
    "rel" : "delete",
    "href" : "https://myserver.example.com:9001/essbase/rest/v1/groups/ess_power_group",
    "method" : "DELETE"
  }, {
    "rel" : "provisionReport",
    "href" : "https://myserver.example.com:9001/essbase/rest/v1/groups/ess_power_group/provisionReport",
    "method" : "GET"
  } ]
}
Back to Top